Subject: [Secdispatch] Asymmetric manifest-based integrity

From: Kyle Rose <[email-masked]>
Date: Mon, 2 Jul 2018 13:34:20 -0400

I would like to request time at the secdispatch session to introduce AMBI,
asymmetric manifest-based integrity, on behalf of Jake Holland and myself,
and to figure out where to go with it:

https://datatracker.ietf.org/doc/draft-jholland-mboned-ambi/

The basic idea is to use a single asymmetric signature combined with
something like a Merkle tree to authenticate a large amount of data spread
over many packets, with resilience to some degree of packet loss without
retransmission. In particular, the intended use case is for high bitrate
multicast streaming video (packet loss is tolerable) with deadline
properties (missing data becomes useless after a short interval).

Given the intended use case, Jake and I are proposing that msec be reopened
to adopt and complete this work. Jake is requesting time to present
remotely at mboned for the multicast side; I would present in person at
secdispatch.

Thanks,
Kyle